WordPress.org

Support

Support » How-To and Troubleshooting » Upgrading plug-ins via WP back-end

Upgrading plug-ins via WP back-end

  • I’m trying to upgrade plug-ins via the WP back-end, running into PHP errors, couldn’t find another topic that solved the issue although I’m sure it’s common. Sorry and thanks in advance..

    I’m able to enter my FTP info, and then I’ll get:

    Warning: ftp_rawlist() [function.ftp-rawlist]: open_basedir restriction in effect. File(/var/tmp/) is not within the allowed path(s): (/f1/content/mysite/:/nfsn/content/mysite/:/nfsn/apps/php5/lib/php/:/nfsn/apps/php/lib/php/:/nfsn/content/content/nfsn/) in /f1/content/mysite/public/wp-admin/includes/class-wp-filesystem-ftpext.php on line 203
    
    Warning: ftp_rawlist() [function.ftp-rawlist]: Unable to create temporary file. Check permissions in temporary files directory. in /f1/content/mysite/public/wp-admin/includes/class-wp-filesystem-ftpext.php on line 203

    eh?

Viewing 1 replies (of 1 total)
  • define('WP_TEMP_DIR', ini_get('upload_tmp_dir'));
    try this, maybe can work.
    I have another error:

    Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(//1231108109) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-includes/functions.php on line 1924
    
    Warning: touch() [function.touch]: open_basedir restriction in effect. File(/1231108109) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-admin/includes/file.php on line 174
    
    Warning: fileowner() [function.fileowner]: open_basedir restriction in effect. File(/1231108109) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-admin/includes/file.php on line 628
    
    Warning: unlink() [function.unlink]: open_basedir restriction in effect. File(/1231108109) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-admin/includes/file.php on line 630
    
    Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(//1231108109) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-includes/functions.php on line 1924
    
    Warning: touch() [function.touch]: open_basedir restriction in effect. File(/1231108109) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-admin/includes/file.php on line 174
    
    Warning: fileowner() [function.fileowner]: open_basedir restriction in effect. File(/1231108109) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-admin/includes/file.php on line 628
    
    Warning: unlink() [function.unlink]: open_basedir restriction in effect. File(/1231108109) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-admin/includes/file.php on line 630
    
    Warning: ftp_rawlist() [function.ftp-rawlist]: open_basedir restriction in effect. File(/var/tmp) is not within the allowed path(s): (/home/electrokilla) in /home/electrokilla/new.electrokilla.com/wp-admin/includes/class-wp-filesystem-ftpext.php on line 203
    
    Warning: ftp_rawlist() [function.ftp-rawlist]: Unable to create temporary file. Check permissions in temporary files directory. in /home/electrokilla/new.electrokilla.com/wp-admin/includes/class-wp-filesystem-ftpext.php on line 203
    
    Unable to locate WordPress Plugin directory.
    
    Installation Failed
Viewing 1 replies (of 1 total)
  • The topic ‘Upgrading plug-ins via WP back-end’ is closed to new replies.